#include <bits/stdc++.h>

using namespace std;

int a[200000],b[200000];

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cerr.tie(0);
    int n,i;
    long long s=0;
    cin>>n;
    for(i=0;i<n;i++){
        cin>>a[i]>>b[i];
    }
    sort(a,a+n);
    sort(b,b+n);
    for(i=0;i<n;i++){
        s=s+abs(i+1-a[i]);
        s=s+abs(i+1-b[i]);
    }
    cout<<s;
    return 0;
}